Subject: bug#8705: 23.3; Emacs occasionally crashes (segfault) just after starting it

From: Vincent Lefevre <[email-masked]>
Date: Fri, 20 May 2011 13:16:01 +0200

On 2011-05-20 13:40:34 +0300, Eli Zaretskii wrote:
> All of your reported crashes seem to be in a call to `getenv', which
> is a library function, called by GTK routines deep in the GTK code.
> It is hard to imagine that they could be Emacs problems, especially
> since you see them since Emacs 22.

Unless Emacs has corrupted the memory earlier. Unfortunately,
one cannot use valgrind on Emacs.

> In any case, backtraces from optimized programs are unreliable.
> Please try rebuilding Emacs with -O0 in CFLAGS, and if you can
> reproduce these crashes in the unoptimized build, follow up here with
> the backtrace.

I've rebuilt Emacs with -ggdb -O0. I now need to wait for another
crash, hoping that the -O0 won't make the bug disappear.

> > #22 0x00007fa7e49634c1 in gtk_main_iteration ()
> >    from /usr/lib/libgtk-x11-2.0.so.0
> > #23 0x00000000004aa33c in ?? ()
> > #24 0x00000000004ef993 in ?? ()
> > [...]
> 
> Could you please show the backtrace until it reaches Emacs code?

It was meaningless: I got nothing until __libc_start_main.
With the rebuild (I also installed the -dbg versions of the
libraries, when available in Debian), I should have more
information for the next crash...

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)